package vc.thinker.absctacts.protocolproxy.dto;

import vc.thinker.absctacts.protocolproxy.enums.IMeterDataDefine;

import java.time.LocalDateTime;
import java.util.Map;

/**
 * @author HeTongHao
 * @since 2021/7/9 17:08
 */
public interface IMeterReportEntity {
    /**
     * 设备唯一code
     *
     * @return 设备唯一code
     */
    String getDeviceCode();

    /**
     * 数据采集时间
     *
     * @return 数据采集时间
     */
    LocalDateTime getCollectTime();

    /**
     * 数据上报集
     *
     * @return 数据上报集
     */
    Map<IMeterDataDefine, Object> getDataMap();
}
